Debian Bug report logs - #594283
grub: non-standard gcc/g++ used for build (gcc-4.3)

version graph

Package: src:grub; Maintainer for src:grub is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 25 Aug 2010 06:03:25 UTC

Severity: serious

Tags: sid, wheezy

Merged with 629738

Found in versions grub/0.97-62, grub/0.97-65

Fixed in version grub/0.97-66

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594283; Package grub. (Wed, 25 Aug 2010 06:03:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 25 Aug 2010 06:03:28 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: grub: non-standard gcc/g++ used for build (gcc-4.3)
Date: Wed, 25 Aug 2010 05:58:59 +0000
Package: grub
Version: 0.97-62
Severity: normal
User: debian-gcc@lists.debian.org
Usertags: non-standard-compiler, gcc-4.3

This package builds with a non standard compiler version; please check
if this package can be built with the default version of gcc/g++.

Please keep this report open until the package uses the default
compiler version for the package build.

The severity of this report is likely to be raised before the release.





Severity set to 'serious' from 'normal' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 13:33:22 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub' to 'src:grub'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 00:27:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions grub/0.97-62. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 00:27:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub/0.97-62. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 00:27:09 GMT) Full text and rfc822 format available.

Forcibly Merged 594283 629738. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 11 Aug 2011 00:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594283; Package src:grub. (Mon, 14 Nov 2011 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 14 Nov 2011 21:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 594283@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 594283@bugs.debian.org
Subject: Re: Bug#594283: grub: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 14 Nov 2011 22:26:10 +0100
[Message part 1 (text/plain, inline)]
tags 594283 + patch
thanks

Le mercredi, 25 août 2010 07.58:59, Matthias Klose a écrit :
> This package builds with a non standard compiler version; please check
> if this package can be built with the default version of gcc/g++.
> 
> Please keep this report open until the package uses the default
> compiler version for the package build.

Hi dear Grub maintainers, 

I just tried to _build_ Grub (Legacy) with the currently default GCC, and 
(without much surprise), it builds fine (at least on amd64).

A possible proposed NMU is attached (basically removing the explicit 
references to gcc-4.3 and Build-Depending on gcc-multilib [amd64]), but I 
can't be confident enough to upload it without having tested it.

So, Grub maintainers, what do you want to do? As this RC bug shows, Grub 
Legacy currently doesn't build from source; so there are probably two 
solutions only:

a) Build it with the default compiler, get it tested and migrated to testing,
b) remove it from Debian (is grub-pc ready enough [I use it for a very long 
time, but I don't have special needs…] ?)

What's your opinion ?

Cheers,

-- 
OdyX
[grub_0.97-65.1.debdiff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Mon, 14 Nov 2011 21:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594283; Package src:grub. (Tue, 15 Nov 2011 10:30:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 15 Nov 2011 10:30:36 GMT) Full text and rfc822 format available.

Message #29 received at 594283@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 594283@bugs.debian.org
Cc: Colin Watson <cjwatson@debian.org>
Subject: Bug#594283: grub: non-standard gcc/g++ used for build (gcc-4.3)
Date: Tue, 15 Nov 2011 11:28:27 +0100
[Message part 1 (text/plain, inline)]
tags 594283 - patch
thanks

Le lundi, 14 novembre 2011 22.26:10, Didier Raboud a écrit :
> Le mercredi, 25 août 2010 07.58:59, Matthias Klose a écrit :
> > This package builds with a non standard compiler version; please check
> > if this package can be built with the default version of gcc/g++.
> > 
> > Please keep this report open until the package uses the default
> > compiler version for the package build.
> 
> So, Grub maintainers, what do you want to do? As this RC bug shows, Grub
> Legacy currently doesn't build from source;

A little followup: after a short and interesting chat together with Colin 
Watson (CCed on his request) on #debian-boot, it sounds that the removal of 
grub legacy is not a valid option currently (Xen support, etc).

Given that the fixes needed to get Grub legacy built with gcc-4.6 have been 
pushed to Ubuntu, he agreed to "get the relevant bits merged". Thanks !

To others readers of this RC bug: don't upload grub with the too simple patch 
I proposed previously; as the LP:#837815 bug shows, this will simply not work 
and lead to uninstallable grub. (aka "disaster").

Cheers, 

OdyX

[LP:#837815] https://bugs.launchpad.net/ubuntu/+source/grub/+bug/837815
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 10:31:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#594283; Package src:grub. (Sat, 19 Nov 2011 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 19 Nov 2011 00:42:03 GMT) Full text and rfc822 format available.

Message #36 received at 594283@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Didier Raboud <odyx@debian.org>
Cc: 594283@bugs.debian.org
Subject: Re: Bug#594283: grub: non-standard gcc/g++ used for build (gcc-4.3)
Date: Sat, 19 Nov 2011 00:39:15 +0000
tags 594283 pending
thanks

On Tue, Nov 15, 2011 at 11:28:27AM +0100, Didier Raboud wrote:
> A little followup: after a short and interesting chat together with Colin 
> Watson (CCed on his request) on #debian-boot, it sounds that the removal of 
> grub legacy is not a valid option currently (Xen support, etc).
> 
> Given that the fixes needed to get Grub legacy built with gcc-4.6 have been 
> pushed to Ubuntu, he agreed to "get the relevant bits merged". Thanks !

Turns out I'd actually already committed these to the Debian bzr branch
a while back.  I've committed your patch now and will upload after some
testing.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 00:42:05 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 19 Nov 2011 07:39:10 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sat, 19 Nov 2011 07:39:10 GMT) Full text and rfc822 format available.

Message #43 received at 594283-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 594283-close@bugs.debian.org
Subject: Bug#594283: fixed in grub 0.97-66
Date: Sat, 19 Nov 2011 07:32:16 +0000
Source: grub
Source-Version: 0.97-66

We believe that the bug you reported is fixed in the latest version of
grub, which is due to be installed in the Debian FTP archive:

grub-disk_0.97-66_all.deb
  to main/g/grub/grub-disk_0.97-66_all.deb
grub-doc_0.97-66_all.deb
  to main/g/grub/grub-doc_0.97-66_all.deb
grub-legacy-doc_0.97-66_all.deb
  to main/g/grub/grub-legacy-doc_0.97-66_all.deb
grub-legacy_0.97-66_i386.deb
  to main/g/grub/grub-legacy_0.97-66_i386.deb
grub_0.97-66.diff.gz
  to main/g/grub/grub_0.97-66.diff.gz
grub_0.97-66.dsc
  to main/g/grub/grub_0.97-66.dsc
grub_0.97-66_i386.deb
  to main/g/grub/grub_0.97-66_i386.deb
multiboot-doc_0.97-66_all.deb
  to main/g/grub/multiboot-doc_0.97-66_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 19 Nov 2011 01:54:49 +0000
Source: grub
Binary: grub-legacy grub grub-disk grub-doc grub-legacy-doc multiboot-doc
Architecture: source i386 all
Version: 0.97-66
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub       - GRand Unified Bootloader (dummy package)
 grub-disk  - GRUB bootable disk image (dummy package)
 grub-doc   - Documentation for GRand Unified Bootloader (dummy package)
 grub-legacy - GRand Unified Bootloader (Legacy version)
 grub-legacy-doc - Documentation for GRUB Legacy
 multiboot-doc - The Multiboot specification (dummy package)
Closes: 594283
Changes: 
 grub (0.97-66) unstable; urgency=low
 .
   [ Colin Watson ]
   * Build stage2 with -fno-reorder-functions to prevent
     unlikely-to-be-executed functions being reordered before _start with GCC
     4.6 (LP: #837815).
 .
   [ Didier Raboud ]
   * Build with the default gcc (closes: #594283).
Checksums-Sha1: 
 d01075321335dac9d90ca14eed574c61f324cac2 2274 grub_0.97-66.dsc
 9a00cef6b61ab95117fcddfa659496f56741c4ac 96537 grub_0.97-66.diff.gz
 98ff461c6e432160c7ba301f88176cdf935793d8 404556 grub-legacy_0.97-66_i386.deb
 770c6000c8c9dcfb9f233fae58c0be5fafdaec87 117988 grub_0.97-66_i386.deb
 f1e0fc7cd9ac2be72502790ae1893c1f3b4cfce4 117342 grub-disk_0.97-66_all.deb
 2002d3f5475cb157854afa51844c15c9255361d1 117360 grub-doc_0.97-66_all.deb
 d6c74c59c91f32893c16d7a700ab6273be34394d 258684 grub-legacy-doc_0.97-66_all.deb
 927a10d818d285518b5780a5a25f7312e3630791 117374 multiboot-doc_0.97-66_all.deb
Checksums-Sha256: 
 2490c1e3635b7dab55f41604a6ef6167e90413d4171da93ca7501506b3a2ce1b 2274 grub_0.97-66.dsc
 17b6fe97ff87c13c9f8666783791db26438420a5e82154a392dc15fe49490758 96537 grub_0.97-66.diff.gz
 4c669e180caba5299f75399f2d6cce1635f9f2b3441d9fc3bdd1683f1c3b50dd 404556 grub-legacy_0.97-66_i386.deb
 7f8573bdaf88b753f4caea0abeaceb45257d869fee0a0fbe1fd444521b9a8edd 117988 grub_0.97-66_i386.deb
 a239fa2bab049ceb8efbae1375eff6abe681d1c620094d3b35d2f20ad20ee746 117342 grub-disk_0.97-66_all.deb
 e48c48877f140e3b92d013f2d7a69b391885ed0cff3d47b0b8511a2ba5e000d8 117360 grub-doc_0.97-66_all.deb
 6e0f8f2ee74068da68ec393c662152ee3d7f0b72e01436b9d5cbb31bff741d9c 258684 grub-legacy-doc_0.97-66_all.deb
 4fdd2a0ca5b4e2ea783e77643633dc6e6949b66a6116c1c8721398b03e7eea2a 117374 multiboot-doc_0.97-66_all.deb
Files: 
 8a7a69f7336029a16c637d830b2bfa7b 2274 admin extra grub_0.97-66.dsc
 56d4b7991cedf22f75eb717cfe13ac1b 96537 admin extra grub_0.97-66.diff.gz
 a9fdfd4dcbfbc0ee3774baa027b85ca2 404556 admin extra grub-legacy_0.97-66_i386.deb
 d3149b1183281b47614ffffb5d57a32b 117988 admin extra grub_0.97-66_i386.deb
 6717030ca3bf84df922b0e1b61d4408a 117342 admin extra grub-disk_0.97-66_all.deb
 0159f2faa918bc4ff51df9bd2b1f90b8 117360 doc extra grub-doc_0.97-66_all.deb
 83181358e6867596de86aa4009ff0698 258684 doc extra grub-legacy-doc_0.97-66_all.deb
 acfe081485bcd9742202c00c881930fb 117374 doc extra multiboot-doc_0.97-66_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTsdXqzk1h9l9hlALAQhOIg/+LGfzcM6+HErls0YTEV6QgnwI2MY3bXpI
dujHjkvVoz2Rbpsyrfzbr6WchIjfrJhhqLCe3/1xVDNJj5G7cEZwc9DYCt2gW4S7
8SX7ORkMkBXju8P4dyGd+MyDJBcquOrj7OiQBcML30kAqsLKTDx7V9qE5KTO7qiv
SxDird5UCCD937XcCk9GgO7vN9vs/yu922dNTmITNBiCx1h2ZdieDKxe0DGamOWo
dAiLCOvThZr/7ASl9i7Ri/O40fEMjklGVGW/5jc0hAJLiT0WFRXUwJibFcxNefOn
SOvfpAIvSjAw4Mgj/1BRVhq+5pj/0hscT0PSYaXuf42mA8/1MCsT5jK8e3jVzmWl
LY5l2zT8+VmucSRCOBqT3q1igKhewFTe79bmwMdm4HBc0D+q+ODAWqwFDz4okMQx
9qGNDICwiDnXYFw3TW9UfewL+fR0kiErsieuDsmtuIxqd67JLlZ/TfRoWieeWDPr
0IyahHwFkaf7Whb91px60WsGS4fN46BUG5+8HVOnzrWmqvevDIRROqvSsZphD6/b
dgtzWt8j3rfVtff7W+imMOsnqHGsRgrKmlodTtRhOaiR4OOQpq9+Ef/V3ivQDL3B
g/Eug20lFvwr10DltVrWit0GZWL7965pwjihLP1lFsbOVE0vtlHocbOYgk/6xRNj
x4gb217oCjc=
=jGZa
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 19 Nov 2011 07:39:11 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 19 Nov 2011 07:39:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:18:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:37:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.